| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GaudiMP.Parallel.Statistics Class Reference
Inheritance diagram for GaudiMP.Parallel.Statistics:
[legend]
Collaboration diagram for GaudiMP.Parallel.Statistics:
[legend]

## Public Member Functions
def | __init__ (self)
def | stop (self)

## Public Attributes
| name
| start
| time
| njob

## Detailed Description

Definition at line 46 of file Parallel.py.

## Constructor & Destructor Documentation

def GaudiMP.Parallel.Statistics.__init__ | ( |  | self | ) |

Definition at line 47 of file Parallel.py.

47 def __init__(self):
48 self.name = os.getenv('HOSTNAME')
49 self.start = time.time()
50 self.time = 0.0
51 self.njob = 0
52
GaudiMP.Parallel.Statistics.time
time
Definition: Parallel.py:50
GaudiMP.Parallel.Statistics.start
start
Definition: Parallel.py:49
GaudiMP.Parallel.Statistics.__init__
def __init__(self)
Definition: Parallel.py:47
GaudiMP.Parallel.Statistics.name
name
Definition: Parallel.py:48
GaudiMP.Parallel.Statistics.njob
njob
Definition: Parallel.py:51

## Member Function Documentation

def GaudiMP.Parallel.Statistics.stop | ( |  | self | ) |

Definition at line 53 of file Parallel.py.

53 def stop(self):
54 self.time = time.time() - self.start
55
56
GaudiMP.Parallel.Statistics.time
time
Definition: Parallel.py:50
GaudiMP.Parallel.Statistics.start
start
Definition: Parallel.py:49
GaudiMP.Parallel.Statistics.stop
def stop(self)
Definition: Parallel.py:53

## Member Data Documentation

GaudiMP.Parallel.Statistics.name

Definition at line 48 of file Parallel.py.

GaudiMP.Parallel.Statistics.njob

Definition at line 51 of file Parallel.py.

GaudiMP.Parallel.Statistics.start

Definition at line 49 of file Parallel.py.

GaudiMP.Parallel.Statistics.time

Definition at line 50 of file Parallel.py.

The documentation for this class was generated from the following file:

- GaudiMP/python/GaudiMP/Parallel.py